# $Revision: 1.78 $, $Date: 2012/01/04 18:47:02 $
Summary:	GNU Line Editor
Summary(de.UTF-8):	GNU-Zeileneditor
Summary(es.UTF-8):	Editor de líneas de la GNU
Summary(fr.UTF-8):	Éditeur ligne de GNU
Summary(ja.UTF-8):	GNU ラインエディタ。
Summary(pl.UTF-8):	GNU edytor liniowy
Summary(pt_BR.UTF-8):	Editor de linhas da GNU
Summary(ru.UTF-8):	Строчный редактор GNU
Summary(tr.UTF-8):	GNU satır düzenleyici
Summary(uk.UTF-8):	Рядковий редактор GNU
Name:		ed
Version:	1.6
Release:	1
License:	GPL v3+
Group:		Applications/Editors
Source0:	http://ftp.gnu.org/gnu/ed/%{name}-%{version}.tar.lz
# Source0-md5:	e3d4dcfd260b2ebb2855c86ffca1947f
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	13a5459ddffbd7f04aa3d67fce0d2134
Patch0:		%{name}-info.patch
Patch1:		%{name}-multilib.patch
URL:		http://www.gnu.org/software/ed/
BuildRequires:	lzip
BuildRequires:	rpmbuild(macros) >= 1.402
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/
%define		_bindir		/bin

%description
This is the GNU line editor. It is an implementation of one of the
first editors under *nix. Some programs rely on it, but in general you
probably don't *need* it.

%description -l de.UTF-8
Dies ist der GNU-Zeileneditor, eine Implementierung einer der ersten
Editoren unter *nix. Manche Programme verlassen sich darauf, i.a.
*brauchen* Sie ihn wahrscheinlich nicht.

%description -l es.UTF-8
Este es GNU editor de línea. Es un soporte a uno de los primeros
editores para *nix. Algunos de los programas cuentan con él, pero de
manera general, es muy probable que no lo *necesites*.

%description -l fr.UTF-8
Éditeur ligne de GNU. C'est une implantation de l'un des premiers
éditeurs d'*nix. Certains programmes en ont besoin, mais en général,
vous n'en aurez probablement pas l'utilité.

%description -l ja.UTF-8
ed は行指向のテキストエディタで、( 対話的でもシェルスクリプト経由でも
) テキストファイルの生成、表示、修正に用いられます。主な目的としては、
フルスクリーンエディタ ( 例えば emacs や vi ) によってなされている
通常の利用に ed を置き換えてきたことです。

ed は初期の Unix エディタで、いろいろなプログラムに使われてきました。
しかし、一般には多分インストールする必要はなく、
多分使いこなすこともないでしょう。

%description -l pl.UTF-8
Ed jest GNU implementacją standardowego, pierwszego edytora
uniksowego. Część starszych programów może jeszcze z niego korzystać,
ale większość już prawdopodobnie go nie potrzebuje.

%description -l pt_BR.UTF-8
Este é o GNU editor de linha. É uma implementação de um dos primeiros
editores para *nix. Alguns programas contam com ele, mas no geral você
provavelmente não irá *precisar* dele.

%description -l uk.UTF-8
Ed - це рядково-орієнтований текстовий редактор, що використовується
для створення, показу та модифікації текстових файлів (як
інтерактивно, так і зі скриптів). Для більшості цілей ed був замінений
повноекранними редакторами (наприклад, joe, vi, emacs).

%description -l tr.UTF-8
Bu paket UN*X'in en eski metin düzenleyicilerinden birini
içermektedir. Bazı yazılımlar hala bu programa gereksinim
duymaktadırlar.

%description -l ru.UTF-8
Ed - это строчно-ориентированный текстовый редактор, используемый для
создания, показа и модификации текстовых файлов (как интерактивно, так
и при помощи скриптов). Для большинства целей ed был заменен
полноэкранными редакторами (например, joe, vi, emacs).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# force rebuild
%{__rm} doc/ed.info

%build
# not autoconf configure, but options compatible
%configure

%{__make} all doc

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-man \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.ed-non-english-man-pages

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/ed
%attr(755,root,root) %{_bindir}/red
%{_infodir}/ed.info*
%{_mandir}/man1/ed.1*
%{_mandir}/man1/red.1*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ed.spec,v $
Revision 1.78  2012/01/04 18:47:02  qboosh
- updated to 1.6
- updated multilib patch

Revision 1.77  2011/01/29 00:06:22  sparky
- dropped pre-cvs changelog

Revision 1.76  2010/09/10 17:56:04  qboosh
- updated to 1.5
- dropped autoconf patch, rely on rpm to convert man links

Revision 1.75  2009/07/18 23:19:05  adamg
- updated to 1.4

Revision 1.74  2009/05/24 22:28:03  adamg
- updated to 1.3

Revision 1.73  2009/02/08 00:25:06  adamg
- updated to 1.2

Revision 1.72  2008/10/14 20:09:13  qboosh
- updated to 1.1

Revision 1.71  2008/09/01 12:44:17  blues
- security note

Revision 1.70  2008/08/23 21:22:06  qboosh
- updated to 1.0 [fixes: buffer overflow]
- updated autoconf patch

Revision 1.69  2008/05/28 18:04:23  glen
- release 2

Revision 1.68  2008-04-08 08:24:51  glen
- unify ftp.gnu.org urls

Revision 1.67  2008-02-26 21:38:11  qboosh
- updated to 0.9

Revision 1.66  2008-01-24 01:22:59  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.65  2007-08-26 19:41:06  qboosh
- updated to 0.8
- removed obsolete debian patch

Revision 1.64  2007/08/12 19:32:05  qboosh
- updated to 0.7

Revision 1.63  2007/07/11 18:38:07  qboosh
- updated to 0.6 (GPL v3 applies)
- updated info,autoconf,debian,multilib patches
- removed obsolete mkstemp,configure,regex patches

Revision 1.62  2007/03/06 13:48:39  spider
- rel++
- STBR

Revision 1.61  2007/03/02 14:32:29  tommat
- added multilib patch

Revision 1.60  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.59  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.58  2005/09/10 21:06:52  darekr
- defined _exec_prefix; more docs

Revision 1.57  2005/09/04 17:42:28  darekr
- kill needless defs
- defined _bindir

Revision 1.56  2005/03/21 22:02:36  mmazur
- rel 36 for th

Revision 1.55  2004/10/12 21:34:42  mmazur
- rel 35 for th

Revision 1.54  2004/09/25 11:20:51  radek
- cosmetics (spaces -> tabs)

Revision 1.53  2003/12/27 00:26:55  ankry
- rel. 34

Revision 1.52  2003/08/30 12:38:01  mmazur
- fuck. rel 33 for ac

Revision 1.51  2003/08/30 12:34:26  mmazur
- rel 1 for ac

Revision 1.50  2003/07/08 17:20:58  blues
- next part of small fixes inpired by kloczek :)

Revision 1.49  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.48  2003/05/25 05:47:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.47  2003/04/27 22:15:12  kloczek
- release 32: use glibc regexp (added regexp patch from RH).

Revision 1.46  2003/02/16 15:26:11  adasi
 - BR: texinfo (for makeinfo)

Revision 1.45  2002/12/24 00:26:01  qboosh
- updated Source0 URL

Revision 1.44  2002/11/29 12:23:48  dobrek
- added rm -f stamp-h.in otherwise it doesn't build.

Revision 1.43  2002/11/18 19:31:44  kloczek
- release 30.

Revision 1.42  2002/10/19 19:27:59  juandon
- new %%doc

Revision 1.41  2002/10/12 18:42:45  kloczek
- release 29: merge translations from KSI and Conectiva.

Revision 1.40  2002/10/05 12:38:33  aflinta
- added configure.ptch

Revision 1.39  2002/05/21 23:12:58  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.38  2002/04/25 16:14:24  arturs
fixed a small typo

Revision 1.37  2002/02/23 01:58:09  kloczek
- adapterized.

Revision 1.36  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.35  2002/01/24 00:12:58  ankry
- added man-pages tar URL

Revision 1.34  2002/01/18 02:12:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2002/01/06 02:59:12  kloczek
- bump to release 27 (for allow upgrade from MDK),
- URL added.

Revision 1.32  2001/11/05 17:23:25  kloczek
- merge ja translations from Kondara.

Revision 1.31  2001/11/04 23:07:42  ankry
- added nl,pl man pages
- release 21

Revision 1.30  2001/10/11 12:40:02  qboosh
- BuildRequires: autoconf

Revision 1.29  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.27  2000/12/15 00:40:14  kloczek
- merged Debian fixes.

Revision 1.26  2000/12/15 00:26:16  dobrek
-Realace increased to 20 for allow updates on RH7.0

Revision 1.25  2000/12/15 00:23:53  dobrek
-Added Security patch from RH

Revision 1.24  2000/10/11 16:54:39  kloczek
- release 19: use new rpm automation.

Revision 1.23  2000/06/18 22:52:39  kloczek
- release 18.

Revision 1.22  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.21  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.20  2000/05/18 18:08:17  kloczek
- spec adapterized.

Revision 1.19  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.18  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.16  2000/03/28 15:40:18  arturs
typo

Revision 1.15  1999/11/14 01:58:40  kloczek
- release 17,
- added using %%configure macro.

Revision 1.14  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.13  1999/09/19 09:05:40  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.12  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).
